package id.ac.unpas.ta.david.pojo;
// Generated Jul 15, 2019 5:45:00 PM by Hibernate Tools 5.2.8.Final

import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * MasterSemester generated by hbm2java
 */
@Entity
@Table(name = "master_semester", catalog = "ta")
public class MasterSemester implements java.io.Serializable {

	private int idSemester;
	private String namaSemester;
	private Set<MasterPeriodeSemester> masterPeriodeSemesters = new HashSet<MasterPeriodeSemester>(0);
	private Set<MasterMataKuliah> masterMataKuliahs = new HashSet<MasterMataKuliah>(0);

	public MasterSemester() {
	}

	public MasterSemester(int idSemester, String namaSemester) {
		this.idSemester = idSemester;
		this.namaSemester = namaSemester;
	}

	public MasterSemester(int idSemester, String namaSemester, Set<MasterPeriodeSemester> masterPeriodeSemesters,
			Set<MasterMataKuliah> masterMataKuliahs) {
		this.idSemester = idSemester;
		this.namaSemester = namaSemester;
		this.masterPeriodeSemesters = masterPeriodeSemesters;
		this.masterMataKuliahs = masterMataKuliahs;
	}

	@Id

	@Column(name = "idSemester", unique = true, nullable = false)
	public int getIdSemester() {
		return this.idSemester;
	}

	public void setIdSemester(int idSemester) {
		this.idSemester = idSemester;
	}

	@Column(name = "namaSemester", nullable = false, length = 20)
	public String getNamaSemester() {
		return this.namaSemester;
	}

	public void setNamaSemester(String namaSemester) {
		this.namaSemester = namaSemester;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "masterSemester")
	public Set<MasterPeriodeSemester> getMasterPeriodeSemesters() {
		return this.masterPeriodeSemesters;
	}

	public void setMasterPeriodeSemesters(Set<MasterPeriodeSemester> masterPeriodeSemesters) {
		this.masterPeriodeSemesters = masterPeriodeSemesters;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "masterSemester")
	public Set<MasterMataKuliah> getMasterMataKuliahs() {
		return this.masterMataKuliahs;
	}

	public void setMasterMataKuliahs(Set<MasterMataKuliah> masterMataKuliahs) {
		this.masterMataKuliahs = masterMataKuliahs;
	}

}
